---
title: '`glab cluster agent list`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

List GitLab Agents for Kubernetes in a project.

## Synopsis

Defaults to the current project. Use `--output json` for JSON output.

```plaintext
glab cluster agent list [flags]
```

## Aliases

```plaintext
ls
```

## Examples

```console
# List agents in the current project
glab cluster agent list

# List agents in JSON format
glab cluster agent list --output json
```

## Options

```plaintext
      --jq string       Filter JSON output with a jq expression.
  -F, --output string   Format output as: text, json. (default "text")
  -p, --page uint       Page number. (default 1)
  -P, --per-page uint   Number of items to list per page. (default 30)
```

## Options inherited from parent commands

```plaintext
  -h, --help          Show help for this command.
  -R, --repo string   Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.
```
